<?php
$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_a62d761f3e831ff9d9da3" . "9f9c26ecddc" => base64_decode("Li4vY29tbW9uL2NvcmUuc" . "Ghw"), "_4c510e5adc" . "7368560eb3d" . "d6ed429e5c5" => base64_decode("Li4vY29tbW9uL3Byb2N" . "lc3NfcmVzcG9uc2UucG" . "hw"), "_0c5123aa744f69bbc0e8b3ea2f" . "6e847d" => base64_decode("bG1zZ" . "w=="), "titl" . "e" => base64_decode("dGl0b" . "GU="), "messag" . "e" => base64_decode("bWVzc" . "2FnZQ" . "=="), "_b93155ab570822d94f80f2b49acbdcd" . "e" => base64_decode("dXJsZ" . "GVjb2" . "Rl"), "u" . "r" . "l" => base64_decode("dX" . "Js"), "_fe2579cea630be3ef73ecaa4" . "7a26a59f" => base64_decode("cGVvcGxlLm15X" . "2luZm9iYXIuYm" . "9va21hcmtfYWR" . "kZWQ="));
use Claromentis\Core\Http\gpc;
use Claromentis\Design\Facade\ActiveTheme;
use Claromentis\Design\Style\Option;
require_once $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_a62d761f3e831ff9d9da" . "39f9c26ecddc"];
global $g_application, $g_response;
$request = $g_application->request;
try {
    gpc::CheckToken($request);
    $url = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_b93155ab570822d94f80f2b49" . "acbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["u" . "r" . "l"]));
    $title = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_b93155ab570" . "822d94f80f2b" . "49acbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["t" . "i" . "t" . "l" . "e"]));
    $user_id = $g_application->security->GetUserId();
    $links_list = new InfobarPersonalLinksList($user_id);
    $link = new InfobarPersonalLink();
    $link->user_id = $user_id;
    $link->title = $title;
    $link->link = $url;
    $link->new_window = false;
    $link->display_order = $links_list->GetLastDisplayOrder() + 1;
    $links_list->AddLink($link, $link->display_order);
    $msg = $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_0c5123aa744f69bbc0" . "e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_fe2579cea630be3ef73ecaa47" . "a26a59f"]);
    $status = 200;
} catch (Exception $e) {
    $msg = $e->getMessage();
    $status = 500;
}
$response_array = [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["me" . "ss" . "ag" . "e"] => $msg];
$g_response = new \Claromentis\Core\Http\JsonPrettyResponse($response_array, $status);
require_once $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_4c510e5adc7368560eb3dd6ed42" . "9e5c5"];